@if (componentData) {
  <div class="information-grid-server">
    <sqtm-core-label
      [text]="'sqtm-core.entity.bugtracker.kind.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-select-field
      [attr.data-test-field-id]="'kind'"
      [options]="kindOptions"
      [value]="componentData.bugTracker.kind"
      layout="no-buttons"
      (confirmEvent)="handleBugTrackerKindChange($event)"
    >
    </sqtm-core-editable-select-field>

    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'bugtracker-created'"
      [userName]="componentData.bugTracker.createdBy"
      [date]="componentData.bugTracker.createdOn"
    >
    </sqtm-core-auditable-field>
    <div class="col-spacer-server"></div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'bugtracker-modified'"
      [userName]="componentData.bugTracker.lastModifiedBy"
      [date]="componentData.bugTracker.lastModifiedOn"
    >
    </sqtm-core-auditable-field>
  </div>
  <div class="server-information-grid grid-2-server">
    <sqtm-core-label [text]="'sqtm-core.entity.generic.url.label' | translate">
    </sqtm-core-label>
    <div class="url-link-server">
      <sqtm-core-editable-text-field
        [sqtmCoreGenericViewEditableTextField]="'url'"
        [value]="componentData.bugTracker.url"
        [attr.data-test-field-id]="'url'"
        layout="compact"
        class="m-r-5 overflow-hidden"
        (confirmEvent)="handleUrlChanged($event)"
      >
      </sqtm-core-editable-text-field>

      <a
        href="{{ componentData.bugTracker.url }}"
        target="_blank"
        rel="noopener"
        class="m-l-10"
      >
        <i
          nz-icon
          nzType="sqtm-core-administration:external_link"
          class="icon table-icon-size"
        ></i>
      </a>
    </div>
  </div>
  <div class="m-t-10">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>

    <sqtm-core-editable-rich-text
      [focus]="true"
      [attr.data-test-field-id]="'bugtracker-description'"
      [sqtmCoreGenericViewEditableRichTextField]="'description'"
    >
    </sqtm-core-editable-rich-text>
  </div>

  <div class="information-grid-server">
    <sqtm-core-label
      [text]="'sqtm-core.entity.bugtracker.iframe-friendly.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-check-box
      [sqtmCoreGenericViewEditableCheckboxField]="'iframeFriendly'"
      [attr.data-test-field-id]="'iframeFriendly'"
    >
    </sqtm-core-editable-check-box>
  </div>
}
